<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.1
 * 
 * Content Composer Tabs Shortcode
 * Created by CMSMasters
 * 
 */
 
 
 
extract(shortcode_atts($new_atts, $atts));
	
	
$unique_id = $shortcode_id;


$shortcode_styles = "\n" . 
	'#cmsmasters_divider_' . esc_attr($unique_id) . ' { ' . 
		"\n\t" . 'border-bottom-width:' . esc_attr($height) . 'px; ' . 
		"\n\t" . 'border-bottom-style:' . esc_attr($style) . '; ' . 
		"\n\t" . 'margin-top:' . esc_attr($margin_top) . 'px; ' . 
		"\n\t" . 'margin-bottom:' . esc_attr($margin_bottom) . 'px; ' . 
		(($color != '') ? "\n\t" . cmsmasters_color_css('border-bottom-color', $color) : '') . 
	"\n" . '} ' . 
"\n";


$out = $this->cmsmasters_generate_front_css($shortcode_styles);


$out .= '<div id="cmsmasters_divider_' . esc_attr($unique_id) . '" class="' . 
(($height < 1) ? 'cl' : 'cmsmasters_divider cmsmasters_divider_width_' . esc_attr($width)) . (($extrashort == 'true') ? ' cmsmasters_divider_extrashort' : ' cmsmasters_divider_pos_' . esc_attr($position)) . 
(($classes != '') ? ' ' . esc_attr($classes) : '') . 
'"></div>';


print $out;