<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.0
 * 
 * Content Composer Icon List Items Shortcode
 * Created by CMSMasters
 * 
 */
 
 
 
extract(shortcode_atts($new_atts, $atts));


$this->icon_list_items_atts = array(
	'style_item' => 			'', 
	'out_inner' => 				'', 
	'list_type' => 				$type, 
	'list_icon_type' => 		$icon_type, 
	'list_icon' => 				$icon, 
	'list_icon_size' => 		$icon_size, 
	'list_heading' => 			$heading, 
	'list_items_color_type' => 	$items_color_type, 
	'list_icon_space' => 		$icon_space 
);


$unique_id = $shortcode_id;


if ($this->icon_list_items_atts['list_type'] == 'block') {
	if ($icon_type != 'icon' && $icon_type != 'image') {
		$this->icon_list_items_atts['style_item'] .= '#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' { ' . 
			"\n\t" . 'counter-reset:counter_' . esc_attr($unique_id) . '; ' . 
		"\n" . '} ' . "\n\n" . 
		'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_item { ' . 
			"\n\t" . 'counter-increment:counter_' . esc_attr($unique_id) . '; ' . 
		"\n" . '} ' . "\n\n" . 
		'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_item .cmsmasters_icon_list_icon:before { ' . 
			"\n\t" . 'content:counter(counter_' . esc_attr($unique_id) . ', ' . esc_attr($icon_type) . '); ' . 
		"\n" . '} ' . "\n";
	}
	
	
	if ($position == 'left') {
		$this->icon_list_items_atts['style_item'] .= "\n" . '#cmsmasters_icon_list_items_' . esc_attr($unique_id) . '.cmsmasters_icon_list_items .cmsmasters_icon_list_item:before { ' . 
			"\n\t" . 'left:' . esc_attr((((int) $icon_space / 2) - (((int) $unifier_width != 0) ? ($unifier_width / 2) : 0))) . 'px; ' . 
			"\n\t" . 'top:' . esc_attr($icon_space)  . 'px; ' . 
		"\n" . '} ' . "\n";
	} else {
		$this->icon_list_items_atts['style_item'] .= '#cmsmasters_icon_list_items_' . esc_attr($unique_id) . '.cmsmasters_icon_list_pos_right .cmsmasters_icon_list_item:before { ' . 
			"\n\t" . 'left:auto; ' . 
			"\n\t" . 'right:' . esc_attr((((int) $icon_space / 2) - (((int) $unifier_width != 0) ? ($unifier_width / 2) : 0))) . 'px; ' . 
			"\n\t" . 'top:' . esc_attr($icon_space)  . 'px; ' . 
		"\n" . '} ' . "\n";
	}
	
	
	$this->icon_list_items_atts['style_item'] .= '#cmsmasters_icon_list_items_' . esc_attr($unique_id) . '.cmsmasters_icon_list_type_block .cmsmasters_icon_list_item:before { ' . 
		"\n\t" . 'width:' . esc_attr($unifier_width) . 'px; ' . 
	"\n" . '} ' . "\n\n" . 
	'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_icon { ' . 
		"\n\t" . 'width:' . esc_attr($icon_space) . 'px; ' . 
		"\n\t" . 'height:' . esc_attr($icon_space) . 'px; ' . 
		"\n\t" . '-webkit-border-radius:' . esc_attr($border_radius) . '; ' . 
		"\n\t" . 'border-radius:' . esc_attr($border_radius) . '; ' . 
	"\n" . '} ' . "\n\n" . 
	'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_icon:before { ' . 
		"\n\t" . 'font-size:' . esc_attr($icon_size) . 'px; ' . 
		"\n\t" . 'line-height:' . esc_attr($icon_space) . 'px; ' . 
	"\n" . '} ' . "\n\n" . 
	'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_icon:after { ' . 
		"\n\t" . 'border-width:' . esc_attr($border_width) . 'px; ' . 
		"\n\t" . 'width:' . esc_attr(((int) $icon_space + 2)) . 'px; ' . 
		"\n\t" . 'height:' . esc_attr(((int) $icon_space + 2)) . 'px; ' . 
		"\n\t" . '-webkit-border-radius:' . esc_attr($border_radius) . '; ' . 
		"\n\t" . 'border-radius:' . esc_attr($border_radius) . '; ' . 
	"\n" . '} ' . "\n";
} else {
	$this->icon_list_items_atts['style_item'] .= '#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' { ' . 
		"\n\t" . 'padding-left:' . esc_attr(((int) $icon_size + 20)) . 'px; ' . 
	"\n" . '} ' . "\n\n" . 
	'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_item:before { ' . 
		"\n\t" . 'font-size:' . esc_attr($icon_size) . 'px; ' . 
		"\n\t" . 'left:-' . esc_attr(((int) $icon_size + 20)) . 'px; ' . 
	"\n" . '} ' . "\n";
	
	
	if ($item_height != '') {
		$this->icon_list_items_atts['style_item'] .= '#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_item,' . 
		'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_item * { ' . 
			"\n\t" . 'line-height:' . esc_attr($item_height) . 'px; ' . 
			"\n\t" . 'padding:0; ' . 
		"\n" . '} ' . "\n\n" . 
		'#cmsmasters_icon_list_items_' . esc_attr($unique_id) . ' .cmsmasters_icon_list_item:before { ' . 
			"\n\t" . 'line-height:' . esc_attr($item_height) . 'px; ' . 
			"\n\t" . 'top:0; ' . 
		"\n" . '} ' . "\n";
	}
}


do_shortcode($content);


$shortcode_styles = (($this->icon_list_items_atts['style_item'] != '') ? $this->icon_list_items_atts['style_item'] : '');


$out = $this->cmsmasters_generate_front_css($shortcode_styles);


$out .= '<ul id="cmsmasters_icon_list_items_' . esc_attr($unique_id) . '" class="cmsmasters_icon_list_items cmsmasters_icon_list_type_' . esc_attr($type) . (($this->icon_list_items_atts['list_type'] == 'block') ? ' cmsmasters_icon_list_pos_' . esc_attr($position) : '') . (($this->icon_list_items_atts['list_type'] == 'block') ? ' cmsmasters_color_type_' . esc_attr($items_color_type) : '') . 
(($icon_type != 'icon' && $icon_type != 'image') ? ' cmsmasters_icon_list_icon_type_number' : '') . 
(($classes != '') ? ' ' . esc_attr($classes) : '') . 
'"' . 
(($animation != '') ? ' data-animation="' . esc_attr($animation) . '"' : '') . 
(($animation != '' && $animation_delay != '') ? ' data-delay="' . esc_attr($animation_delay) . '"' : '') . 
'>' . 
	$this->icon_list_items_atts['out_inner'] . 
'</ul>';


print $out;