<?php
/**
 * @package 	WordPress
 * @subpackage 	Handyman Services
 * @version 	1.0.8
 *
 * CMSMasters WooCommerce Admin Settings
 * Created by CMSMasters
 *
 */


/* Single Settings */
function handyman_services_woocommerce_options_general_fields($options, $tab) {
	$defaults = handyman_services_settings_general_defaults();

	if ($tab == 'header') {
		$options[] = array(
			'section' => 'header_section',
			'id' => 'handyman-services' . '_woocommerce_cart_dropdown',
			'title' => esc_html__('Disable WooCommerce Cart', 'handyman-services'),
			'desc' => '',
			'type' => 'checkbox',
			'std' => $defaults[$tab]['handyman-services' . '_woocommerce_cart_dropdown']
		);
	}

	return $options;
}

add_filter('cmsmasters_options_general_fields_filter', 'handyman_services_woocommerce_options_general_fields', 10, 2);
